org.red5.server

## Class ClientList<E>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - org.red5.server.ClientList<E>

Type Parameters:
  `E` - type of class

All Implemented Interfaces:
  Iterable<E>, Collection<E>, List<E>

    public class ClientList<E>
    extends AbstractList<E>

Client list, implemented using weak references to prevent memory leaks.

Author:
  Paul Gregoire (mondain@gmail.com)

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`ClientList()`
`ClientList(Collection<E> c)`

### Method Summary

Methods
`boolean` `add(E element)`
`void` `add(int index, E element)`
`boolean` `contains(Object o)`
`E` `get(int index)`
`E` `remove(int index)`
`boolean` `remove(Object o)`
`int` `size()`

### Methods inherited from class java.util.AbstractList

`addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, removeRange, set, subList`

### Methods inherited from class java.util.AbstractCollection

`addAll, containsAll, isEmpty, removeAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`addAll, containsAll, isEmpty, removeAll, retainAll, toArray, toArray`

### Constructor Detail

#### ClientList

    @ConstructorProperties(value="")
    public ClientList()

#### ClientList

    @ConstructorProperties(value="c")
    public ClientList(Collection<E> c)

### Method Detail

#### add

    public boolean add(E element)

Specified by:
  `add` in interface `Collection<E>`
Specified by:
  `add` in interface `List<E>`
Overrides:
  `add` in class `AbstractList<E>`

#### add

    public void add(int index,
           E element)

Specified by:
  `add` in interface `List<E>`
Overrides:
  `add` in class `AbstractList<E>`

#### remove

    public E remove(int index)

Specified by:
  `remove` in interface `List<E>`
Overrides:
  `remove` in class `AbstractList<E>`

#### remove

    public boolean remove(Object o)

Specified by:
  `remove` in interface `Collection<E>`
Specified by:
  `remove` in interface `List<E>`
Overrides:
  `remove` in class `AbstractCollection<E>`

#### contains

    public boolean contains(Object o)

Specified by:
  `contains` in interface `Collection<E>`
Specified by:
  `contains` in interface `List<E>`
Overrides:
  `contains` in class `AbstractCollection<E>`

#### size

    public int size()

Specified by:
  `size` in interface `Collection<E>`
Specified by:
  `size` in interface `List<E>`
Specified by:
  `size` in class `AbstractCollection<E>`

#### get

    public E get(int index)

Specified by:
  `get` in interface `List<E>`
Specified by:
  `get` in class `AbstractList<E>`